Bug 1209685 - protobuf-v3.1.0 is available
Summary: protobuf-v3.1.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: protobuf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1351164 (view as bug list)
Depends On:
Blocks: 1389749 1200115 PYTHON3 1359246 1392090 1393176
TreeView+ depends on / blocked
 
Reported: 2015-04-08 01:20 UTC by Upstream Release Monitoring
Modified: 2016-11-19 17:51 UTC (History)
12 users (show)

Fixed In Version: 3.1.0-5.fc26
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-19 17:51:31 UTC
Type: ---


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.27 KB, patch)
2016-07-28 12:32 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.28 KB, patch)
2016-07-29 06:33 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.28 KB, patch)
2016-07-30 00:20 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.27 KB, patch)
2016-09-05 00:34 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.27 KB, patch)
2016-09-07 00:32 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.27 KB, patch)
2016-09-24 12:18 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.27 KB, patch)
2016-10-29 12:55 UTC, Upstream Release Monitoring
no flags Details | Diff
protobuf.spec (14.92 KB, text/plain)
2016-11-03 03:07 UTC, Orion Poplawski
no flags Details
protobuf.spec (16.67 KB, text/plain)
2016-11-04 12:24 UTC, gil cattaneo
no flags Details


Links
System ID Priority Status Summary Last Updated
Github google protobuf issues 1698 None None None 2016-09-07 20:57:50 UTC

Description Upstream Release Monitoring 2015-04-08 01:20:24 UTC
Latest upstream release: v3.0.0-alpha-1
Current version/release in rawhide: 2.5.0-11.fc22
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2015-04-08 01:20:35 UTC
Failed to kick off scratch build.

list index out of range

Comment 2 Robert Hancock 2015-05-22 23:28:52 UTC
Obviously 3.0.0 is not released yet, but there is a newer release version 2.6.1 that's available. 2.5.0 is 2 versions out of date.

Comment 3 Upstream Release Monitoring 2015-07-01 01:27:49 UTC
Latest upstream release: v3.0.0-alpha-3.1
Current version/release in rawhide: 2.6.1-2.fc23
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 4 Upstream Release Monitoring 2015-07-01 01:28:01 UTC
Failed to kick off scratch build.

list index out of range

Comment 5 Upstream Release Monitoring 2015-08-27 12:15:52 UTC
Latest upstream release: v3.0.0-beta-1
Current version/release in rawhide: 2.6.1-2.fc23
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 6 Upstream Release Monitoring 2015-08-27 12:16:05 UTC
Failed to kick off scratch build.

list index out of range

Comment 7 Upstream Release Monitoring 2015-10-23 00:16:27 UTC
Latest upstream release: v3.0.0-beta-1-bzl-fix
Current version/release in rawhide: 2.6.1-2.fc23
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-10-23 00:16:42 UTC
Failed to kick off scratch build.

list index out of range

Comment 9 gil cattaneo 2016-04-07 10:25:32 UTC
Latest upstream release: 3.0.0-beta-2
Current version/release in rawhide: 2.6.1-4.fc24
URL: https://github.com/google/protobuf

Please, enable "javanano" sub-module

Comment 10 Upstream Release Monitoring 2016-07-28 12:31:47 UTC
Latest upstream release: v3.0.0
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 11 Upstream Release Monitoring 2016-07-28 12:32:17 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 12 Upstream Release Monitoring 2016-07-28 12:32:19 UTC
Created attachment 1185083 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 13 Upstream Release Monitoring 2016-07-28 12:32:22 UTC
Patches were not touched. All were applied properly

Comment 14 Upstream Release Monitoring 2016-07-29 06:33:18 UTC
Latest upstream release: v3.0.0-javalite
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 15 Upstream Release Monitoring 2016-07-29 06:33:49 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 16 Upstream Release Monitoring 2016-07-29 06:33:51 UTC
Created attachment 1185395 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 17 Upstream Release Monitoring 2016-07-29 06:33:54 UTC
Patches were not touched. All were applied properly

Comment 18 Upstream Release Monitoring 2016-07-30 00:20:01 UTC
Latest upstream release: v3.0.1-javalite
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 19 Upstream Release Monitoring 2016-07-30 00:20:32 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 20 Upstream Release Monitoring 2016-07-30 00:20:34 UTC
Created attachment 1185702 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 21 Upstream Release Monitoring 2016-07-30 00:20:37 UTC
Patches were not touched. All were applied properly

Comment 22 Orion Poplawski 2016-08-31 20:54:38 UTC
It appears that the build really requires org.easymock.classextension now:

[ERROR] COMPILATION ERROR : 
[ERROR] /builddir/build/BUILD/protobuf-3.0.0/java/core/src/test/java/com/google/protobuf/ServiceTest.java:[47,35] package org.easymock.classextension does not exist

Comment 23 Upstream Release Monitoring 2016-09-05 00:34:02 UTC
Latest upstream release: 3.0.1-jaalite
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 24 Upstream Release Monitoring 2016-09-05 00:34:34 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 25 Upstream Release Monitoring 2016-09-05 00:34:37 UTC
Created attachment 1197734 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 26 Upstream Release Monitoring 2016-09-05 00:34:40 UTC
Following patches has been deleted:
['lis-1.5.60-optflags.patch']

Comment 27 Upstream Release Monitoring 2016-09-07 00:31:35 UTC
Latest upstream release: 3.0.2
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 28 Upstream Release Monitoring 2016-09-07 00:32:04 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 29 Upstream Release Monitoring 2016-09-07 00:32:07 UTC
Created attachment 1198463 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 30 Upstream Release Monitoring 2016-09-07 00:32:10 UTC
Patches were not touched. All were applied properly

Comment 31 Orion Poplawski 2016-09-07 20:57:50 UTC
Seeing compile errors with gcc6:

google/protobuf/unittest_lite.pb.cc: In member function 'virtual bool protobuf_unittest::TestAllExtensionsLite::IsInitialized() const':
google/protobuf/unittest_lite.pb.cc:8544:3: error: this 'if' clause does not guard... [-Werror=misleading-indentation]
   if (!_extensions_.IsInitialized()) return false;  return true;
   ^~
google/protobuf/unittest_lite.pb.cc:8544:53: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the 'if'

tracked upstream

Comment 32 Orion Poplawski 2016-09-07 21:21:34 UTC
I can't figure out how to build the java components of 3.0.2.  Build fails when it appears it cannot access the generated classes:

[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR] /builddir/build/BUILD/protobuf-3.0.2/java/core/target/generated-test-sources/com/google/protobuf/test/TestWellKnownTypes.java:[322,30] cannot find symbol
  symbol:   class Any
  location: package com.google.protobuf

http://koji.fedoraproject.org/koji/taskinfo?taskID=15534310

Comment 33 Upstream Release Monitoring 2016-09-24 12:18:00 UTC
Latest upstream release: 3.1.0
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 34 Upstream Release Monitoring 2016-09-24 12:18:32 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 35 Upstream Release Monitoring 2016-09-24 12:18:36 UTC
Created attachment 1204375 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 36 Upstream Release Monitoring 2016-09-24 12:18:40 UTC
Patches were not touched. All were applied properly

Comment 37 Igor Gnatenko 2016-09-28 06:41:36 UTC
*** Bug 1351164 has been marked as a duplicate of this bug. ***

Comment 38 Upstream Release Monitoring 2016-10-29 12:54:51 UTC
Latest upstream release: v3.1.0
Current version/release in rawhide: 2.6.1-5.fc25
URL: https://github.com/google/protobuf

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3715/

Comment 39 Upstream Release Monitoring 2016-10-29 12:55:25 UTC
Patching or scratch build for protobuf-2.6.1 failed.

Comment 40 Upstream Release Monitoring 2016-10-29 12:55:29 UTC
Created attachment 1215293 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 41 Upstream Release Monitoring 2016-10-29 12:55:33 UTC
Following patches has been deleted:
['0002-use-futimens-if-available-instead-of-utime.patch']

Comment 42 Peter Robinson 2016-10-31 23:53:24 UTC
What's the latest with this? Whill we get python3 bindings too when 3.1.0 lands?

Comment 43 Orion Poplawski 2016-11-03 03:07:50 UTC
Created attachment 1216841 [details]
protobuf.spec

I've been unable to get the java components to build.  Perhaps a java expert can figure it out.  I've attached my updated spec.

Comment 44 Terje Røsten 2016-11-03 07:16:55 UTC
Orion, ask java-devel for help, they are very helpful:
 https://lists.fedoraproject.org/admin/lists/java-devel.lists.fedoraproject.org/

Comment 46 gil cattaneo 2016-11-04 12:24:05 UTC
Created attachment 1217388 [details]
protobuf.spec

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=16287066

- enable javanano sub module used by https://github.com/googlei18n/libphonenumber
- split java artifacts in they own sub packages
- marked as noarch "parent" (POM) sub package
- minor changes to adapt to current guidelines:
  * remove deprecate Group field
  * add protobuf-java backward compatibility symlink

TODO: Test failures; get them fixed and remove || :

Comment 47 Orion Poplawski 2016-11-04 17:06:09 UTC
Test failure is explored/reported here: https://github.com/google/protobuf/issues/631

It looks like just an artifact of the testing framework so I think it's safe to move forward with this.  gil, can you check this in or do you need me to?

Comment 48 gil cattaneo 2016-11-04 17:35:25 UTC
(In reply to Orion Poplawski from comment #47)
> Test failure is explored/reported here:
> https://github.com/google/protobuf/issues/631
> 
> It looks like just an artifact of the testing framework so I think it's safe
> to move forward with this.  gil, can you check this in or do you need me to?

if you have time, i would prefer, you to move forward with this. because i have some doubts about Java sub packages. should all be marked as noarch, because they are installed in all _javadir ...

Comment 49 John Obaterspok 2016-11-12 12:15:50 UTC
Any chance grpc.io will packaged alongside with protobuf 3+?

Comment 50 Terje Røsten 2016-11-16 18:55:37 UTC
Hi Orion, can you please push this to rawhide?

Comment 51 Orion Poplawski 2016-11-16 19:02:33 UTC
Well, I was doing to test builds here first - https://copr.fedorainfracloud.org/coprs/orion/protobuf3/builds/

Some dependent packages are failing there and it would be nice to get them fixed up before breaking rawhide.

Comment 52 Orion Poplawski 2016-11-18 05:09:45 UTC
So with this update, the jar file moves from:

/usr/share/java/protobuf.jar

to

/usr/share/java/protobuf/protobuf-java.jar

This breaks mesos at the moment because it looks for the former.  We can override by setting PROTOBUF_JAR to the proper path.  What's the best way to determine this path at build time?  Is there some java/maven tool we can use?

In any case, mesos has been FTBFS for a while so it's not a holdup.  Also, fawkes is FTBFS due to the openssl update.  Building ola turned up some missing python requires.  So I think we're good to go now.

Comment 53 gil cattaneo 2016-11-18 09:35:39 UTC
(In reply to Orion Poplawski from comment #52)
> So with this update, the jar file moves from:
> 
> /usr/share/java/protobuf.jar
> 
> to
> 
> /usr/share/java/protobuf/protobuf-java.jar
> 
> This breaks mesos at the moment because it looks for the former.  We can
> override by setting PROTOBUF_JAR to the proper path.  What's the best way to
> determine this path at build time?  Is there some java/maven tool we can use?
> 
See in my spec file this line "# Backward compatibility symlink
%mvn_file :protobuf-java:jar: %{name}/%{name} %{name}"
could be changenf in "# Backward compatibility symlink
%mvn_file :protobuf-java:jar: %{name}/%{name}-java %{name}" or as you want
regards

Comment 54 Orion Poplawski 2016-11-19 00:12:32 UTC
Thanks.  Needed to restructure builds so all of the %mvn macros run in the same directory.

Added python3 support in -4.  We're building now, just waiting on arm...

Comment 55 gil cattaneo 2016-11-19 00:43:26 UTC
Thanks to you!
perhaps, the package that depend on protobuf* should be integrated (even momentarily) in https://apps.fedoraproject.org/koschei/

Comment 56 Orion Poplawski 2016-11-19 03:38:02 UTC
I think everything should be in koschei - but you need to be an admin on a package to add it.

Damn this arm build is slow - why is java on arm so slow?

Comment 57 gil cattaneo 2016-11-19 04:02:21 UTC
(In reply to Orion Poplawski from comment #56)
> I think everything should be in koschei - but you need to be an admin on a
> package to add it.
> 
> Damn this arm build is slow - why is java on arm so slow?

Little available memory, consider for testing task to disable for this arches.

e.g.
%if %{with java}
# Waste of time on some arches
%ifarch %{arm}
opts='-f'
%endif
%mvn_build -s $opts -- -f java/pom.xml
%endif

Comment 58 gil cattaneo 2016-11-19 04:05:06 UTC
maybe the same for
%ifnarch %{arm}
%check
# TODO: failures; get them fixed and remove || :
# https://github.com/google/protobuf/issues/631
make %{?_smp_mflags} check || :
%endif

Comment 59 Orion Poplawski 2016-11-19 17:51:31 UTC
I ended up just disabling the IsValidUtf8Test - https://github.com/google/protobuf/issues/2389

That brings the build time down to a manageable 4-5 hours, much of which is just doing the java build.  I think the lack of JIT on arm is the killer here.


Note You need to log in before you can comment on or make changes to this bug.